// LeftDialogBar.cpp : implementation file
//

#include "stdafx.h"
#include "GlobalTools.h"
#include "LeftDialogBar.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLeftDialogBar dialog


CLeftDialogBar::CLeftDialogBar()
{
}


BEGIN_MESSAGE_MAP(CLeftDialogBar, CDialogBar)
	//{{AFX_MSG_MAP(CLeftDialogBar)
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLeftDialogBar message handlers

int CLeftDialogBar::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CDialogBar::OnCreate(lpCreateStruct) == -1) return -1;
	
	m_Details.Create(IDD_DETAILS,this);
	m_Images.Create(IDD_IMAGES,this);

	CRect re;

	GetClientRect(&re);
	re.top+=30; re.bottom+=30;
	re.left+=5; re.right+=5;
	m_Details.MoveWindow(&re,TRUE); 
	m_Images.MoveWindow(&re,TRUE); 
	m_Details.ShowWindow(SW_SHOW);
	
	return 0;
}

void CLeftDialogBar::SetSize() 
{
	if(myMeteoView && m_Images.GetSafeHwnd())
		{
		CRect re,ra;
		myMeteoView->GetClientRect(&re);
		GetClientRect(&ra);
		SetWindowPos(NULL,0,0,ra.Width(),re.Height()+30,SWP_NOZORDER|SWP_NOACTIVATE|SWP_NOMOVE);
		re.top+=30; m_Details.GetClientRect(&ra);
		m_Details.SetWindowPos(NULL,0,0,ra.Width(),re.Height()+30,SWP_NOZORDER|SWP_NOACTIVATE|SWP_NOMOVE);
		m_Images.SetWindowPos(NULL,0,0,ra.Width(),re.Height()+30,SWP_NOZORDER|SWP_NOACTIVATE|SWP_NOMOVE);
		}
}
