// MeteoImageDlg.cpp : implementation file
//

#include "stdafx.h"
#include "GlobalTools.h"
#include "MeteoImageDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MeteoImageDlg dialog


MeteoImageDlg::MeteoImageDlg(CWnd* pParent /*=NULL*/)
	: CDialog(MeteoImageDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(MeteoImageDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void MeteoImageDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MeteoImageDlg)
	DDX_Control(pDX, IDC_PIC_FRAME,		m_picframe);
	DDX_Control(pDX, IDC_PICLIST,		PicFileRequester);
	DDX_Control(pDX, ID_FAX_RX_FOLDER,	b_RX);
	DDX_Control(pDX, ID_FAX_DNL_FOLDER,	b_DNL);
	DDX_Control(pDX, ID_FAX_B1_FOLDER,	b_F1);
	DDX_Control(pDX, ID_FAX_B2_FOLDER,	b_F2);
	DDX_Control(pDX, ID_FAX_B3_FOLDER,	b_F3);
	DDX_Control(pDX, ID_FAX_TRASH,		b_TRASH);
	DDX_Control(pDX, ID_FAX_SAT_FOLDER,	b_SAT);
	DDX_Control(pDX, ID_PICWORK,		b_PICWORK);
	DDX_Control(pDX, ID_FAX_LROTA,		b_LR);
	DDX_Control(pDX, ID_FAX_TROTA,		b_TR);
	DDX_Control(pDX, ID_FAX_RROTA,		b_RR);
	DDX_Control(pDX, ID_FAX_HMIRR,		b_HM);
	DDX_Control(pDX, ID_FAX_VMIRR,		b_VM);
	DDX_Control(pDX, ID_FAX_ZOOM11,		b_11);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(MeteoImageDlg, CDialog)
	//{{AFX_MSG_MAP(MeteoImageDlg)
	ON_WM_SIZE()
	ON_NOTIFY(NM_DBLCLK, IDC_PICLIST,	OnDblclkFilelist)
	ON_WM_DRAWITEM()
	ON_BN_CLICKED(ID_FAX_DNL_FOLDER,	OnFaxDnlFolder)
	ON_BN_CLICKED(ID_FAX_RX_FOLDER,		OnFaxRXFolder)
	ON_BN_CLICKED(ID_FAX_SAT_FOLDER,	OnFaxSatFolder)
	ON_BN_CLICKED(ID_FAX_B1_FOLDER,		OnFaxB1Folder)
	ON_BN_CLICKED(ID_FAX_B2_FOLDER,		OnFaxB2Folder)
	ON_BN_CLICKED(ID_FAX_B3_FOLDER,		OnFaxB3Folder)
	ON_BN_CLICKED(ID_FAX_TRASH,			OnFaxTrash)
	ON_BN_CLICKED(ID_FAX_LROTA,			OnFaxLrota)
	ON_BN_CLICKED(ID_FAX_HMIRR,			OnFaxHmirr)
	ON_BN_CLICKED(ID_FAX_RROTA,			OnFaxRrota)
	ON_BN_CLICKED(ID_FAX_TROTA,			OnFaxTrota)
	ON_BN_CLICKED(ID_FAX_VMIRR,			OnFaxVmirr)
	ON_BN_CLICKED(ID_PICWORK,			OnPicWork)
	ON_BN_CLICKED(ID_FAX_ZOOM11,		OnZoom11)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// MeteoImageDlg message handlers


void MeteoImageDlg::OnCancel() 
{
}
void MeteoImageDlg::OnOK() 
{
}

BOOL MeteoImageDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	PicFileRequester.Init();
	
	//puts what you want, as first folder (--> CPicFileRequester / ListCtrl)
	OnSetFaxFolder(FDIR_BANK1); 
	
 
	return TRUE;  
}

void MeteoImageDlg::OnDblclkFilelist(NMHDR* pNMHDR, LRESULT* pResult) 
{
	*pResult = 0;

	int folder=-1;
	int index=-1;

	//clear all flag and set the new one
	// i set here the pic selection
	for(int y=0; y<FDIR_MAX; y++)
	for(int i=0; i<myPicFiles(y).GetSize(); i++)
		{
		if(y==m_folder && i==PicFileRequester.lastchanged)
			{
			folder=y;
			index=i;
			myPicFiles(y)[i].select=1;
			}
		else myPicFiles(y)[i].select=0;
		}


	if(folder!=-1 && index!=-1)
		{
		//myImageView->BeginWaitCursor(); 
		//myImageView->SetView(folder,index);
		//myImageView->EndWaitCursor(); 
		char buf[256];
		sprintf(buf,"paint it self, it was folder=%d, and index=%d",folder,index);

		AfxMessageBox(buf);
		}

	PicFileRequester.Invalidate();
}

LRESULT MeteoImageDlg::OnFileChanged(WPARAM type,LPARAM l)
{
	int	i;

	switch(type)
		{
		case PICFILE_DELETE://the indicated picture was deleted
							//myImageView->ClearView();  
							goto rename_OK;

		case PICFILE_SELCHG://indicated picture was changed, find new index
							for(i=0; i<myPicFiles(m_folder).GetSize(); i++)
								{
								if(myPicFiles(m_folder)[i].select)
									{
									//myImageView->picFolder=m_folder;
									//myImageView->picIndex=i;
									goto rename_OK;
									}
								}
						//	myImageView->ClearView(); 

		case PICFILE_REFRESH:
rename_OK:
							PicFileRequester.RefreschTheList();	
							PicFileRequester.Invalidate();
							break;
		}
return NULL;

}

void MeteoImageDlg::OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT di) 
{
	// TODO: Add your message handler code here and/or call default

	if(nIDCtl==IDC_PICLIST) 
		{
		PicFileRequester.DrawItem(di); 
		return;
		}

	CDialog::OnDrawItem(nIDCtl, di);
}

void MeteoImageDlg::OnFaxDnlFolder() 
{
	OnSetFaxFolder(FDIR_DNL);	
}

void MeteoImageDlg::OnFaxRXFolder() 
{
	OnSetFaxFolder(FDIR_RX);	
}

void MeteoImageDlg::OnFaxB1Folder() 
{
	OnSetFaxFolder(FDIR_BANK1);	
}

void MeteoImageDlg::OnFaxB2Folder() 
{
	OnSetFaxFolder(FDIR_BANK2);	
}

void MeteoImageDlg::OnFaxB3Folder() 
{
	OnSetFaxFolder(FDIR_BANK3);
}

void MeteoImageDlg::OnFaxTrash() 
{
	OnSetFaxFolder(FDIR_TRASH);
}

void MeteoImageDlg::OnSetFaxFolder(int folder) 
{
	b_RX.SetCheck(0);
	b_DNL.SetCheck(0);
	b_F1.SetCheck(0);
	b_F2.SetCheck(0);
	b_F3.SetCheck(0);
	b_TRASH.SetCheck(0);
	b_SAT.SetCheck(0);

	m_folder=folder;
	switch(folder)
		{
		case FDIR_DNL:		b_DNL.SetCheck(1); break;
		case FDIR_RX:		b_RX.SetCheck(1); break;
		case FDIR_BANK1:	b_F1.SetCheck(1); break;
		case FDIR_BANK2:	b_F2.SetCheck(1); break;
		case FDIR_BANK3:	b_F3.SetCheck(1); break;
		case FDIR_TRASH:	b_TRASH.SetCheck(1); break;
		case FDIR_SAT:		b_SAT.SetCheck(1);
							break;
		}

	PicFileRequester.RefreschTheList(m_folder);
}

void MeteoImageDlg::OnFaxLrota() 
{
//	myImageView->RotatePic90Left();	
}

void MeteoImageDlg::OnFaxHmirr() 
{
//	myImageView->HMirrorPic();
}

//#include "ImgPrintPreview.h"
void MeteoImageDlg::OnPrint() 
{
//	ImgPrintPreview dlg;
//	dlg.DoModal();
}

void MeteoImageDlg::OnFaxRrota() 
{
//	myImageView->RotatePic90Right();
}

void MeteoImageDlg::OnFaxTrota() 
{
//	myImageView->RotatePic180();
}

void MeteoImageDlg::OnFaxVmirr() 
{
//	myImageView->VMirrorPic();
}

void MeteoImageDlg::OnPicWork() 
{
//	char	exe[1024],para[1024];
//	sprintf(exe,"%s\\MeteoPicWork.exe",myBMS_Para.MeteoAccessDir);
//	sprintf(para,"%d:%016X:%s",sys_color_green,myMainFrm->m_hWnd,myPicFiles(myImageView->picFolder)[myImageView->picIndex].filepath);
//	ShellExecute(NULL,NULL,exe,para,myBMS_Para.MeteoAccessDir,SW_SHOWMINNOACTIVE);  //start quietly the BonitoProgram
		
}

void MeteoImageDlg::OnFaxSatFolder() 
{
	OnSetFaxFolder(FDIR_SAT);
}


void MeteoImageDlg::OnDestroy() 
{
//	WriteMyProfileInt("PICs","last_folder",m_folder);
	CDialog::OnDestroy();
}

void MeteoImageDlg::SetPos(int pos)
{
	//myImageView->SetPos(pos);
}

int MeteoImageDlg::GetPos()
{
	return	NULL; //myImageView->GetPos();
}

void MeteoImageDlg::OnZoom11()
{
	//myImageView->myPicWork.SetZoom(1.0);
}

void MeteoImageDlg::OnSize(UINT nType, int cx, int cy) 
{
	CDialog::OnSize(nType, cx, cy);
	if (GetSafeHwnd())
		{
		myCY=cy; //ShowImgDlg();
		if (PicFileRequester.GetSafeHwnd())
			{
			CRect re,ra;
			GetWindowRect(re);
			m_picframe.GetWindowRect(ra);
			m_picframe.SetWindowPos (NULL, 0,0, ra.Width(), re.Height()-236,SWP_NOACTIVATE | SWP_NOZORDER|SWP_NOMOVE);
			PicFileRequester.GetWindowRect(ra);
			PicFileRequester.SetWindowPos (NULL, 0,0, ra.Width(), re.Height()-260,SWP_NOACTIVATE | SWP_NOZORDER|SWP_NOMOVE);
			}
		}
}
