#if !defined(AFX_METEOIMAGEDLG_H__CFF46AF2_0FF3_4940_9DB7_8CF816B555E5__INCLUDED_)
#define AFX_METEOIMAGEDLG_H__CFF46AF2_0FF3_4940_9DB7_8CF816B555E5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MeteoImageDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// MeteoImageDlg dialog

#include "PicFileRequester.h"
class MeteoImageDlg : public CDialog
{
// Construction
public:
	MeteoImageDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(MeteoImageDlg)
	enum { IDD = IDD_IMAGES };
	CButton	m_picframe;
	CPicFileRequester	PicFileRequester;
	CButton	b_RX;
	CButton	b_DNL;
	CButton	b_F1;
	CButton	b_F2;
	CButton	b_F3;
	CButton	b_TRASH;
	CButton	b_SAT;
	CButton	b_PICWORK;
	CButton	b_LR;
	CButton	b_TR;
	CButton	b_RR;
	CButton	b_HM;
	CButton	b_VM;
	CButton	b_11;
	//}}AFX_DATA

	int			myCY,myTOP,myTOPSAT,myWIDTH,myHIGHT;
	

	void		OnSetFaxFolder(int folder);
	void		SetPos(int pos);
	int			GetPos();
	void		OnPrint();


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MeteoImageDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(MeteoImageDlg)
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDblclkFilelist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	afx_msg void OnFaxDnlFolder();
	afx_msg void OnFaxRXFolder();
	afx_msg void OnFaxSatFolder();
	afx_msg void OnFaxB1Folder();
	afx_msg void OnFaxB2Folder();
	afx_msg void OnFaxB3Folder();
	afx_msg void OnFaxTrash();
	afx_msg void OnFaxLrota();
	afx_msg void OnFaxHmirr();
	afx_msg void OnFaxRrota();
	afx_msg void OnFaxTrota();
	afx_msg void OnFaxVmirr();
	afx_msg void OnPicWork();
	afx_msg void OnZoom11();
	afx_msg void OnDestroy();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	//}}AFX_MSG
public:
	afx_msg LRESULT OnFileChanged(WPARAM,LPARAM);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_METEOIMAGEDLG_H__CFF46AF2_0FF3_4940_9DB7_8CF816B555E5__INCLUDED_)
