#ifndef MyTimeToolbar
#define MyTimeToolbar


/////////////////////////////////////////////////////////////////////////////
// CMyTimeToolbar window

#define TIMETOOLBAR_TIMER 176

class CMyTimeToolbar : public CToolBar
{
// Construction
public:

	CMyTimeToolbar();

	CScrollBar	mySlider;
	CStatic		myDate;
	BOOL		Init(CWnd* pParentWnd);
	BOOL		SetWidth();
	void		SetSize();
	void		SetTime(int pos,time_t lasttime=0);
	void		SetSlideTimeInfo(int max=-1, time_t newtime=-1, int pos=-1);

	int			slide_min,slide_max;
	

	time_t		myLastTime,DAT_LastTime;
	int			hoursteps;
	int			DAT_slide_max;

	void		SetTimeInfo(int m_ACTIV, int max=-1, time_t newtime=-1, int pos=-1);
	void		ResetTimeInfo();
	void		SetAnimatButton();


// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyTimeToolbar)
	//}}AFX_VIRTUAL

// Implementation
public:

	virtual ~CMyTimeToolbar();

	// Generated message map functions
protected:
	//{{AFX_MSG(CMyTimeToolbar)
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
#endif
