#if !defined(AFX_PICFILEREQUESTER_H__2CDE9376_B0FD_4CF1_8C68_9AF4B5E9CFC0__INCLUDED_)
#define AFX_PICFILEREQUESTER_H__2CDE9376_B0FD_4CF1_8C68_9AF4B5E9CFC0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PicFileRequester.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPicFileRequester window
#include "MeteoToolsDefs.h"

class CPicFileRequester : public CListCtrl
{
// Construction
public:
	CPicFileRequester();

// Attributes
public:

	CImageList		mImageList;
	int				lastchanged;
	int				m_iItemDrag,m_iItemDrop,m_bDragging;
	HCURSOR			m_hcur_actual;

// Operations
public:

	void			Init();
	void			SelectItem(int sel);
	LPCTSTR			MakeShortString(CDC* pDC, LPCTSTR lpszLong, int nColumnLen, int nOffset);
	void			RefreschTheList(int xfolder=-1, char *findname=NULL);
	void			SetListSelect(int sel,int set=NULL);
	void			OnSetReturn(int sel);
	void			OnButtonUp(CPoint point);
	void			RepaintSelectedItems();
	void			MoveTo(int folder);
	char*			MakeFileName(char *file);


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPicFileRequester)
public:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPicFileRequester();

	// Generated message map functions
protected:
	//{{AFX_MSG(CPicFileRequester)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnItemchanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBegindrag(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnDelete();
	afx_msg void OnRename();
	afx_msg void OnMoveDNL();
	afx_msg void OnMoveRX();
	afx_msg void OnMoveSAT();
	afx_msg void OnMoveB1();
	afx_msg void OnMoveB2();
	afx_msg void OnMoveB3();
	afx_msg void OnMoveTrash();
	//}}AFX_MSG
//	afx_msg LRESULT OnDragPic(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PICFILEREQUESTER_H__2CDE9376_B0FD_4CF1_8C68_9AF4B5E9CFC0__INCLUDED_)
