#ifndef GLOBALTOOLS
#define GLOBALTOOLS

#include "chartdefs.h"
#include "lineDefs.h"
#include "Resource.h"
#include "TimeUTC.h"
#include "MeteoView.h"
#include "BonitoMeteoLinkageTest.h"
#include "MainFrm.h"

#define FELDMAX			2000
#define RAD				(0.017453292519943296)	//(PI / 180.)	
#define MINMAX(a,b,c)	((a)<(b))?(a=b):(((a)>(c))?(a=c):(a)) // a ist minimal b und maximal c


extern class CMeteoView		*myMeteoView;
extern class CMainFrame		*myMainFrm;

extern SYN_DATA				LastStation;
extern CPoint				PointOBuf[];
extern struct POINT_NEWLINE	PointIBuf[];
extern struct LinePoint		*SPointIbuf;
extern COLORREF				planecol[];
extern COLORREF				linecol[];
extern UINT					linestyle[];
extern METEOCFG				MeteoCfg;
extern int 					MouseDown,m_UTC,DetailFlags,SynopDetailFlags,MeteoDataSelection;
extern int					m_folder,m_index;
extern char				    *RegionStr[];
extern HCURSOR				myPicDropOK,myPicNoDrop;
extern int					N_SynArray;

int     WINAPI  LoadString(USHORT ID, CString &str);
void	WINAPI	LoadToolTips(char *dir);
void    WINAPI  InitButton(CWnd *wnd, int ID);

/////////////////////////////////////////////////////////////////////////////////////////
//GetProfile, WriteProfile is only for MeteoCom compatible test - this is not importand
/////////////////////////////////////////////////////////////////////////////////////////
int		WINAPI  GetMyProfileInt(char *AppName, char *KeyName, int value);
BOOL	WINAPI  WriteMyProfileInt(char *AppName, char *KeyName, int value);
double	WINAPI	GetMyProfileDouble(char *AppName, char *KeyName, double value);
BOOL	WINAPI	WriteMyProfileDouble(char *AppName, char *KeyName, double value);


#endif