// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__CB946AF2_F6EB_4D30_9611_226B1FEC1ED3__INCLUDED_)
#define AFX_MAINFRM_H__CB946AF2_F6EB_4D30_9611_226B1FEC1ED3__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "MyNavToolbar.h"
#include "MyTimeToolbar.h"
#include "LeftDialogBar.h"

#define DLGBAR_TIMER 171

class CMainFrame : public CFrameWnd
{
	DECLARE_DYNCREATE(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	static	CStatusBar		m_wndStatusBar;

	CLeftDialogBar		m_wndDlgBar;
	CMyNavToolbar		m_wndNavToolBar;
	CMyTimeToolbar		m_wndTimeToolBar;

	BOOL			    CreateStatusBar();
	void				SetSpeed(int val);
	void				OnStop();

	BOOL				m_play;
	BOOL				m_rplay;
	int					mySpeed;
	void				DataChanged();


// Generated message map functions
	//{{AFX_MSG(CMainFrame)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnAppAbout();
	afx_msg void OnZoomADD();
	afx_msg void OnZoomDOWN();
	afx_msg void OnZoomLEFT();
	afx_msg void OnZoomSUB();
	afx_msg void OnZoomHOME();
	afx_msg void OnZoomRIGHT();
	afx_msg void OnZoomUP();
	afx_msg void OnSetFixZoom();
	afx_msg void OnUpdateFixZoom(CCmdUI* pCmdUI);
	afx_msg void OnSpeedM();
	afx_msg void OnSpeedR();
	afx_msg void OnSpeedP();
	afx_msg void OnPlay();
	afx_msg void OnRPlay();
	afx_msg void OnSetUtc();
	afx_msg void OnMeteocom();
	afx_msg void OnUpdateSpeedR(CCmdUI* pCmdUI);
	afx_msg void OnUpdateSpeedM(CCmdUI* pCmdUI);
	afx_msg void OnUpdateSpeedP(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRPlay(CCmdUI* pCmdUI);
	afx_msg void OnUpdatePlay(CCmdUI* pCmdUI);
	afx_msg void OnUpdateUTC(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMeteoCom(CCmdUI* pCmdUI);
	afx_msg void OnUpdateDetails(CCmdUI* pCmdUI);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void SwitchData();
	afx_msg void SwitchImages();
	afx_msg void OnBonitoWeb();
	afx_msg void OnCopyText();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	afx_msg LRESULT LogMeIn(WPARAM,LPARAM);
	afx_msg LRESULT LogMeOut(WPARAM,LPARAM);
	afx_msg LRESULT RefreshColor(WPARAM,LPARAM);
	afx_msg LRESULT MeteoDataChanged(WPARAM,LPARAM);
	afx_msg LRESULT OnPicFileChanged(WPARAM,LPARAM);

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__CB946AF2_F6EB_4D30_9611_226B1FEC1ED3__INCLUDED_)
