#ifndef AFX_METEODETAILDLG_H__43439201_DFED_11D1_868E_444553540000__INCLUDED_
#define AFX_METEODETAILDLG_H__43439201_DFED_11D1_868E_444553540000__INCLUDED_

// MeteoDetailDlg.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld MeteoDetailDlg 
#include "MeteoFileBox.h"
#include "resource.h"
class MeteoDetailDlg : public CDialog
{
// Konstruktion
public:
	MeteoDetailDlg(CWnd* pParent = NULL);   // Standardkonstruktor

// Dialogfelddaten
	//{{AFX_DATA(MeteoDetailDlg)
	enum { IDD = IDD_DETAILS };

	CButton	b_fig_preci;
	CButton	b_fig_rh;
	CButton	b_fig_press;
	CButton	b_fig_temp;
	CButton	b_fig_wtemp;
	CButton	b_fig_stemp;
	CButton	b_fig_wind;
	CButton	b_fig_wave;

	CButton	b_lay_wave;
	CButton	b_lay_wavedir;
	CButton	b_lay_cloud;
	CButton	b_lay_cloud_conv;
	CButton	b_lay_cloud_bound;
	CButton	b_lay_snow;
	CButton	b_fig_snow;
	CButton	b_lay_ice;
	CButton	b_lay_preci;
	CButton	b_lay_press;
	CButton	b_lay_symb_preci;
	CButton	b_lay_rh;
	CButton	b_lay_temp;
	CButton	b_lay_wtemp;
	CButton	b_lay_stemp;
	CButton	b_lay_wind;
	CButton	b_lay_coloredwind;

	CButton	b_isobar;
	CButton	b_isoterm;
	CButton	b_isosterm;
	CButton	b_isowterm;
	CButton	b_isorh;
	CButton	b_grid_onoff;
	CButton	b_synop_onoff;
	CButton	b_syn_wind;
	CButton	b_syn_temp;
	CButton	b_syn_press;
	CButton	b_syn_clouds;
	CButton	b_symb_sml;
	CButton	b_symb_med;
	CButton	b_symb_big;

	CMeteoFileBox b_data_select;
	//}}AFX_DATA

	BOOL		m_fig_preci;
	BOOL		m_fig_rh;
	BOOL		m_fig_press;
	BOOL		m_fig_temp;
	BOOL		m_fig_wtemp;
	BOOL		m_fig_stemp;
	BOOL		m_fig_wind;
	BOOL		m_fig_wave;

	BOOL		m_lay_wave;
	BOOL		m_lay_wavedir;
	BOOL		m_lay_cloud;
	BOOL		m_lay_ice;
	BOOL		m_lay_preci;
	BOOL		m_lay_symb_preci;
	BOOL		m_lay_press;
	BOOL		m_lay_rh;
	BOOL		m_lay_temp;
	BOOL		m_lay_wtemp;
	BOOL		m_lay_stemp;
	BOOL		m_lay_wind;
	BOOL		m_lay_coloredwind;

	BOOL		m_isobar;
	BOOL		m_isoterm;
	BOOL		m_isowterm;
	BOOL		m_isosterm;
	BOOL		m_isorh;

	BOOL		m_grid_onoff;
	BOOL		m_synop_onoff;
	BOOL		m_syn_wind;
	BOOL		m_syn_temp;
	BOOL		m_syn_press;
	BOOL		m_syn_clouds;

	BOOL		m_lay_cloud_conv;
	BOOL		m_lay_cloud_bound;
	BOOL		m_lay_snow;
	BOOL		m_fig_snow;

	void		Refresh();
	void		SetPosibles();
	void		SetButtonCondition();
	void		SetDetails();
	void		GetFlags();
	void		SetSymbButton();


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(MeteoDetailDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(MeteoDetailDlg)
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnLayPress();
	afx_msg void OnLayTemp();
	afx_msg void OnLayWind();
	afx_msg void OnLayColoredWind();
	afx_msg void OnLayCloud();
	afx_msg void OnLayCloudConv();
	afx_msg void OnLayCloudBound();

	afx_msg void OnLayRh();
	afx_msg void OnLayPreci();
	afx_msg void OnLayPreciSybols();

	afx_msg void OnFigWind();
	afx_msg void OnFigPress();
	afx_msg void OnFigTemp();
	afx_msg void OnLayWave();
	afx_msg void OnFigPreci();
	afx_msg void OnFigRh();
	afx_msg void OnLayWaveDir();
	afx_msg void OnIsoBar();
	afx_msg void OnIsoTerm();
	afx_msg void OnFigWave();
	afx_msg void OnIsoRh();
	afx_msg void OnLayWtemp();
	afx_msg void OnIsoWterm();
	afx_msg void OnFigWtemp();
	afx_msg void OnIsoSterm();
	afx_msg void OnFigStemp();
	afx_msg void OnLayStemp();
	afx_msg void OnLayIce();
	afx_msg void OnFigSnow();
	afx_msg void OnLaySnow();

	afx_msg void OnGridOnOff();
	afx_msg void OnSynopON();
	afx_msg void OnSynWind();
	afx_msg void OnSynTemp();
	afx_msg void OnSynPress();
	afx_msg void OnSynClouds();
	afx_msg void OnSymbSmall();
	afx_msg void OnSymbMedium();
	afx_msg void OnSymbLarge();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fgt zustzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // AFX_METEODETAILDLG_H__43439201_DFED_11D1_868E_444553540000__INCLUDED_

