
#ifndef LINEDEFS
#define LINEDEFS

#pragma pack(1)
#define USHORT unsigned short
#define UBYTE unsigned char


#define	FILL_COLOR		'k'			//Headerpositionen
#define BORDER_COLOR	'K'
#define	LINE_STYLE		'w'

#define MOVE_POINT		'm'			//Linetypen 
#define LINE    		'l'
#define CIRCLE  		'C'

#define UNDEFINE   		-1
#define	FILLED_BORDER	'b'			//Abschlutypen : geflltes Opjekt mit Border
#define SINGLE_LINE		'S'			//nicht geflltes Objekt
#define FILLED_OBJ		'f'			//nur geflltes Opjekt


#define LINE_FILE_END	'U'			//Ende-Markierung

#define	NIX				-1
#define ENDE			0
#define ISWATH			1

#define POLYLINE		0x02
#define POLYGON			0x04
#define ELLIPSE			0x08

#define FILLED			0x10
#define	BORDER			0x20

#define BORDER_POLYGON	0x34  //BORDER | FILLET | POLYGON
#define BORDER_ELLIPSE	0x38  //BORDER | FILLET | ELLIPSE
#define FILLED_POLYGON	0x14  //FILLET | POLYGON
#define FILLED_ELLIPSE	0x18  //BORDER | ELLIPSE



struct BOYHeader
{
	char		ID_Codes[8];
	long		MaxPointer;
	long		MaxObjects;
};
struct	BOYObjectPointer 
{
	long		ObjectSeek;
	long		ObjectCount;
};

struct	BOYObject
{
	long		PointSeek;
	USHORT		PointCount;
	UBYTE		Type;
	UBYTE		Color;
};

struct LinePoint
{
	short		x;
	short		y;
};

#pragma pack()

#endif  //LINEDEF